///////////////////////////////
// Can't understand cpost yet
function msg_to_system_console() {
    let out = "";
    for (let i = 0; i < arguments.length; i++){
        out = out + " " + arguments[i];
    }
    cpost("cpost:", out);
};

///////////////////////////////////////////////////////////
// Method 'error()' post error msgs in Pd Console (red msgs)
function msg_error() {
    let args = Array.from(arguments)
    let out = args.join(' ');

    error("error:", out);
};

///////////////////////////////////////////////////////////////
// Method 'post()' post normal msgs in Pd Console (black msgs)
function msg_post() {
    let out = "";
    for (let i = 0; i < arguments.length; i++){
        out = out + " " + arguments[i];
    }
    post("post:", out);
};

///////////////////////////////////////////////////
// Method 'messnamed()' send wireless messages to
// [receive] object in Pd patch
function wireless_msgs() {
    let args = Array.from(arguments)
    let out = args.join(' ');
    messnamed("receiver_name", out);
};

///////////////////////////////////////////////////////////////////////////////
// inlets/outlets are properties which control the number of inlets/outlets of
// [js] object instance. Changes in [js] object inlets/outlets can't be visible
// because pd gui issues. You can minimize and maximize patch window to make
// changes visible. See [pd update_patch_canvas].
function n_inlets(a) {
    let n = parseInt(a);
    inlets = n;
};

function n_outlets(a) {
    let n = parseInt(a);
    outlets = n;
};